package com.ruoyi.system.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.system.domain.SiteConfig;
import com.ruoyi.system.domain.SiteInfo;
import com.ruoyi.system.dto.SiteConfigDTO;
import com.ruoyi.system.dto.SiteInfoDTO;
import com.ruoyi.system.paramet.SiteInfoQuery;


public interface SiteService {

    boolean insert(SiteInfoDTO siteInfoDTO);

    Page<SiteInfo> query(SiteInfoQuery siteInfoQuery);

    SiteInfo queryById(Long id);

    boolean update(SiteInfoDTO siteInfoDTO);

    boolean delete(Long id);

    boolean insertConfig(SiteConfigDTO siteConfigDTO);

    SiteConfig queryConfig(Long id);

    boolean updateConfig(SiteConfigDTO siteConfigDTO);


}
